ProyectoCrm/src/app/Modulos/InvitadosModulo/Paginas/fw-invitados/fw-invitados.page.pug
extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"

block contenido
  div.form-row
    div.form-group.col-12
      app-fw-invitados-cabecera([Invitado]="tInvitado",
                                [Nuevo]="tNuevo",
                                [Editar]="tPermisoEditar",
                                (AbrirModal)="AbrirModalUsuario()",
                                (Buscar)="BuscarUsuario($event)")
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Negocios",
              role="tab",
              aria-controls="Negocios",
              aria-selected="true")#Negocios-tab.nav-link.active Permisos
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Negocios-tab").tab-pane.fade.show.active#Negocios
          app-fw-invitados-detalles([(Grupos)]="tInvitado.LGrupos", [Eliminar]="tPermisoEliminar")
  div.form-row
    div.form-group.col-12.d-flex.justify-content-end
      div(role="toolbar",
          aria-label="Toolbar with button groups").btn-toolbar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Cancelar()").btn.btn-secondary.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-times
            span.text Cancelar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Eliminar()", [disabled]="!tHabilitarEliminar").btn.btn-danger.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-trash-alt
            span.text Eliminar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Agregar()", [disabled]="!tHabilitarGuardar").btn.btn-primary.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-save
            span.text Guardar

ProyectoCrm/src/app/Modulos/InvitadosModulo/Paginas/fw-invitados/fw-invitados.page.html

<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
  <div class="btn-toolbar mb-2 mb-md-0">
    <div class="btn-group mr-2">
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==false, 'btn-outline-secondary':tNuevo==true}"><i class="fas fa-edit"></i></button>
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==true, 'btn-outline-secondary':tNuevo==false}" (click)="Nuevo()"><i class="fas fa-plus"></i></button>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <div class="form-row">
      <div class="form-group col-12">
        <app-fw-invitados-cabecera [Invitado]="tInvitado" [Nuevo]="tNuevo" [Editar]="tPermisoEditar" (AbrirModal)="AbrirModalUsuario()" (Buscar)="BuscarUsuario($event)"></app-fw-invitados-cabecera>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Negocios" role="tab" aria-controls="Negocios" aria-selected="true" id="Negocios-tab">Permisos</a></li>
        </ul>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="tab-content" id="mvDatos">
          <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Negocios-tab" id="Negocios">
            <app-fw-invitados-detalles [(Grupos)]="tInvitado.LGrupos" [Eliminar]="tPermisoEliminar"></app-fw-invitados-detalles>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 d-flex justify-content-end">
        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-secondary btn-icon-split" type="button" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar</span></button>
          </div>
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-danger btn-icon-split" type="button" (click)="Eliminar()" [disabled]="!tHabilitarEliminar"><span class="icon text-white-50"><i class="fas fa-trash-alt"></i></span><span class="text">Eliminar</span></button>
          </div>
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-primary btn-icon-split" type="button" (click)="Agregar()" [disabled]="!tHabilitarGuardar"><span class="icon text-white-50"><i class="fas fa-save"></i></span><span class="text">Guardar</span></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
